Allow search query string to be specified on the same line in CLI
Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Currently, searching for information is a two step process: set the query variable and then invoke the search.

It would be more user friendly to allow the search to accept additional arguments to specify the query string.  Continue to allow the

"@search@" command to use the "@query@" variable if no arguments are passed.

History

#1 - 2012-02-23 20:30 - Matthew Jones

- Tracker changed from Task to Feature

- Subject changed from Allow search query string to be specified on the same line. to Allow search query string to be specified on the same line in CLI

#2 - 2012-02-23 22:50 - Andrew Pippin

- Assignee changed from Andrew Pippin to Roger Dahl

#2378, #2383, and #2358 are three tasks I created relating to search.

#3 - 2012-03-03 00:05 - Andrew Pippin

- Status changed from New to In Progress

- Assignee changed from Roger Dahl to Andrew Pippin

- Target version set to Sprint-2012.09-Block.2.1

Roger, I need to rework this given your updates to the search routines.

#4 - 2012-03-05 21:12 - Andrew Pippin

- Status changed from In Progress to Closed

  Changes committed.

  There is also a (very old) bug with SOLR that an exception bypasses the output filter ("SOLR-141":https://issues.apache.org/jira/browse/SOLR-141).

As a result, HTML is returned not XML.  The HTML is checked to get the actual error.

(SVN 7370 and 7372).
